package com.ruoyi.ss.channel.service.impl;

import com.ruoyi.common.pay.wx.config.WxPayConfig;
import com.ruoyi.ss.channel.domain.ChannelConfig;
import com.ruoyi.ss.channel.domain.ChannelVO;
import com.ruoyi.ss.channel.domain.enums.ChannelApiType;
import com.ruoyi.ss.channel.service.ChannelConverter;
import org.springframework.stereotype.Service;

/**
 * @author wjh
 * 2025/1/7
 */
@Service
public class ChannelConverterImpl implements ChannelConverter {
    @Override
    public Object toConfig(ChannelVO channel) {
        if (channel == null || channel.getChannelConfig() == null) {
            return null;
        }

        ChannelConfig channelConfig = channel.getChannelConfig();

        if (ChannelApiType.WECHAT.getType().equals(channel.getApiType())) {
            WxPayConfig config = new WxPayConfig();
            config.setAppId(channelConfig.getAppId());
            config.setMerchantId(channelConfig.getMerchantId());
            config.setApiV3Key(channelConfig.getApiV3Key());
            // TODO
            config.setNotifyUrl("");
            config.setRefundNotifyUrl();
            config.setPrivateKeyPath(channelConfig.getPrivateKeyPath());
            config.setMerchantSerialNumber(channelConfig.getMerchantSerialNumber());
            return config;
        }
        //TODO 其他渠道
    }
}
